Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2844253004: Generate getters/setters for VisitedLinkColor. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 4 weeks ago by shend
Modified:
2 months, 1 week ago
Reviewers:
nainar, rune (vacation)
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Generate getters/setters for VisitedLinkColor. Currently, the VisitedLinkColor property is a 'storage_only' field, so it has no generated public getters/setters. This patch changes it to an 'external' field so that their getters/setters can be generated as well. Diff of generated files: https://gist.github.com/darrnshn/66f19ed3bd09d0744ffc292f3210b479/revisions BUG=628043 Review-Url: https://codereview.chromium.org/2844253004 Cr-Commit-Position: refs/heads/master@{#473013} Committed: https://chromium.googlesource.com/chromium/src/+/5e2a9eb0941bd44c21096357eedee2c6e4985ac2

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -9 lines) Patch
M third_party/WebKit/Source/core/css/ComputedStyleExtraFields.json5 View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 chunks +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 1 chunk +0 lines, -6 lines 0 comments Download
Trybot results:  win_clang   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   win_clang   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   ios-device-xcode-clang   ios-device   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 31 (26 generated)
shend
Hi Naina, PTAL
2 months, 2 weeks ago (2017-05-08 06:04:01 UTC) #2
nainar
lgtm
2 months, 2 weeks ago (2017-05-08 06:07:41 UTC) #3
rune (vacation)
rs lgtm
2 months, 2 weeks ago (2017-05-08 07:36:40 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2844253004/40001
2 months, 1 week ago (2017-05-18 20:46:42 UTC) #28
commit-bot: I haz the power
2 months, 1 week ago (2017-05-19 01:23:48 UTC) #31
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/5e2a9eb0941bd44c21096357eede...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973